## harlequin-postgres 1.2.0

=== Makefile ===
.PHONY: check
check:
	ruff format .
	ruff check . --fix
	mypy
	pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	harlequin -P None -a postgres "postgresql://postgres:for-testing@localhost:5432/postgres"

.PHONY: psql
psql:
	PGPASSWORD=for-testing psql -h localhost -p 5432 -U postgres -E

profile.html: $(wildcard src/**/*.py)
	pyinstrument -r html -o profile.html --from-path harlequin -a postgres "postgresql://postgres:for-testing@localhost:5432/postgres"

=== debian/changelog ===
harlequin-postgres (1.2.0-3) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:48:58 +0200

harlequin-postgres (1.2.0-2) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Mar 2025 18:14:38 +0100

harlequin-postgres (1.2.0-1) sid; urgency=medium

  * Using codenames in changelog instead of suitenames.
  * Merging upstream version 1.2.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:16:31 +0100

harlequin-postgres (1.1.1-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 20:23:10 +0100

=== debian/control ===
Source: harlequin-postgres
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://harlequin.sh
Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-postgres
Vcs-Git: https://forgejo.debian.net/harlequin/harlequin-postgres

Package: harlequin-postgres
Section: admin
Architecture: all
Depends:
 python3-textual-fastdatatable,
 ${misc:Depends},
 ${python3:Depends},
Description: database client for the terminal (Postgres adapter)
 Harlequin is a SQL IDE in your terminal. It supports connecting to for DuckDB,
 SQLite, Postgres (also supports Redshift), MySQL/MariaDB, and ODBC
 (supports MS SQL Server, Oracle, and others).
 .
 This package contains the Postgres adapter.

=== debian/watch ===
version=4
https://github.com/tconbeer/harlequin-postgres/tags .*/v?(\d.*)@ARCHIVE_EXT@

## harlequin-postgres 1.2.2

=== Makefile ===
.PHONY: check
check:
	poetry run ruff format .
	poetry run ruff check . --fix
	poetry run mypy
	poetry run pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	poetry run harlequin -P None -a postgres "postgresql://postgres:for-testing@localhost:5432/postgres"

.PHONY: psql
psql:
	PGPASSWORD=for-testing psql -h localhost -p 5432 -U postgres -E

profile.html: $(wildcard src/**/*.py)
	poetry run pyinstrument -r html -o profile.html --from-path harlequin -a postgres "postgresql://postgres:for-testing@localhost:5432/postgres"

=== debian/changelog ===
harlequin-postgres (1.2.2-1) sid; urgency=medium

  * Adding upstream metadata.
  * Updating homepage field.
  * Merging upstream version 1.2.2.

 -- Daniel Baumann <daniel@debian.org>  Mon, 15 Sep 2025 13:06:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-poetry,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://harlequin.sh
+Homepage: https://github.com/tconbeer/harlequin-postgres
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-postgres
 Vcs-Git: https://forgejo.debian.net/harlequin/harlequin-postgres

## harlequin-postgres 1.3.0

=== Makefile ===
.PHONY: check
check:
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy
	uv run pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	uv run harlequin -P None -a postgres "postgresql://postgres:for-testing@localhost:5432/postgres"

.PHONY: psql
psql:
	PGPASSWORD=for-testing psql -h localhost -p 5432 -U postgres -E

profile.html: $(wildcard src/**/*.py)
	uv run pyinstrument -r html -o profile.html --from-path harlequin -a postgres "postgresql://postgres:for-testing@localhost:5432/postgres"

=== debian/changelog ===
harlequin-postgres (1.3.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Merging upstream version 1.3.0.
  * Adding newly required python3-hatchling to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Nov 2025 03:58:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-poetry,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/tconbeer/harlequin-postgres
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-postgres

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=harlequin-postgres

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled
